
%if 0%{?fedora} < 10
%define omit_kde3_conflicts 1
%endif

Summary:        K Desktop Environment - Graphics Applications
Epoch:          7
Version:        4.1.2
Release:        2%{?dist}.1

Name:           kdegraphics
#Obsoletes:     kdegraphics4 < %{version}-%{release}
Provides:       kdegraphics4 = %{version}-%{release}

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdegraphics-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## upstream patches

BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  cmake
BuildRequires:  chmlib-devel
BuildRequires:  djvulibre-devel
BuildRequires:  exiv2-devel
BuildRequires:  giflib-devel
%if 0%{?fedora} > 9
BuildRequires:  libgphoto2-devel
%else
BuildRequires:  gphoto2-devel
%endif
BuildRequires:  libspectre-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  pcre-devel
BuildRequires:  poppler-qt4-devel
BuildRequires:  qca2-devel
BuildRequires:  qimageblitz-devel
BuildRequires:  sane-backends-devel
BuildRequires:  lcms-devel
# TODO (not packaged yet):
# + libepub: A library for reading EPub documents <http://sourceforge.net/projects/ebook-tools>
# Support for EPub documents in Okular.

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires: kdelibs4 >= %{version}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: cups 
Requires(post): xdg-utils
Requires(postun): xdg-utils

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: gwenview < 2
Provides: gwenview = 2

%description
Graphics applications, including
* gwenview (an image viewer)
* kamera (digital camera support)
* kcolorchooser (a color chooser)
* kolourpaint4 (an easy-to-use paint program)
* kruler (screen ruler and color measurement tool)
* ksnapshot (screen capture utility)
* okular (a document viewer)

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Obsoletes: %{name}-libs-extras < %{?epoch:%{epoch}:}%{version}-%{release}
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Developer files for %{name}
Requires: %{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
#Obsoletes: kdegraphics4-devel < %{version}-%{release}
Provides:  kdegraphics4-devel = %{version}-%{release}
Requires: kdelibs4-devel
Requires: pkgconfig
%if ! 0%{?omit_kde3_conflicts}
Obsoletes: libkdcraw-devel < 0.2.0, libkexiv2-devel < 0.2.0, libkipi-devel < 0.2.0 
Provides:  libkdcraw-devel = 0.2.0, libkexiv2-devel = 0.2.0, libkipi-devel = 0.2.0
%endif
%description devel
%{summary}.


%prep
%setup -q -n kdegraphics-%{version}

# upstream patches

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%if 0%{?omit_kde3_conflicts}
# Conflicts: libkexiv2-devel libkdcraw-devel libkipi-devel
rm -rf %{buildroot}%{_kde4_includedir}/lib{kexiv2,kdcraw,kipi}/
rm -f  %{buildroot}%{_kde4_libdir}/lib{kexiv2,kdcraw,kipi}.so
rm -f  %{buildroot}%{_libdir}/pkgconfig/lib{kexiv2,kdcraw,kipi}.pc
%endif


%clean
rm -rf %{buildroot}


%post
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/okular/
%{_kde4_appsdir}/kgamma/
%{_kde4_configdir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/okular/
%{_kde4_appsdir}/gvpart/
%{_kde4_appsdir}/gwenview/
%{_kde4_appsdir}/kolourpaint/
%{_kde4_appsdir}/kruler/
%{_kde4_appsdir}/svgpart/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_docdir}/HTML/en/gwenview/
%{_kde4_docdir}/HTML/en/kamera/
%{_kde4_docdir}/HTML/en/ksnapshot/
%{_kde4_docdir}/HTML/en/kolourpaint/
%{_kde4_docdir}/HTML/en/kruler/
%{_kde4_docdir}/HTML/en/kgamma/
%{_kde4_iconsdir}/hicolor/*/*/*

%files libs 
%defattr(-,root,root,-)
%{_kde4_appsdir}/kipi/
%{_kde4_appsdir}/libkdcraw/
%{_kde4_libdir}/libkdcraw5/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/strigi/*

%files devel
%defattr(-,root,root,-)
%if ! 0%{?omit_kde3_conflicts}
%{_kde4_includedir}/libkdcraw/
%{_kde4_includedir}/libkexiv2/
%{_kde4_includedir}/libkipi/
%endif
%{_kde4_includedir}/libksane/
%{_kde4_includedir}/okular/
%{_kde4_libdir}/lib*.so
%{_kde4_appsdir}/cmake/modules/FindKSane.cmake
%{_kde4_appsdir}/cmake/modules/FindOkular.cmake
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Oct 03 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2.1
- respin tarball

* Mon Sep 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Fri Aug 29 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Thu Aug 21 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-6
- f10+: Obsoletes/Provides: libkdcraw-devel, libkexiv2-devel, libkipi-devel

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-5
- fix "last page is not printed" (kde #160860)

* Tue Aug 12 2008 Than Ngo <than@redhat.com> 4.1.0-4
- fix crash in printing review in okular
- update all the configuration each time a document is open in okular

* Tue Jul 29 2008 Than Ngo <than@redhat.com> 4.1.0-3
- respun

* Fri Jul 25 2008 Than Ngo <than@redhat.com> 4.1.0-2
- respun

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Mon Jul 21 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-2
- omit conflicting lib{kexiv2,kdcraw,kipi}-devel bits in F-9 builds (#452392)

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.83-2
- respin for exiv2

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Sat May 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-2
- add BR qca2-devel (for encrypted ODF documents in Okular)

* Sat May 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- drop backported system-libspectre patch

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3
- drop kdegraphics-4.0.2-poppler07.patch, it's included in 4.0.3

* Thu Mar 20 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-4
- backport patch to support poppler 0.7 from KDE 4.0.3

* Wed Mar 19 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.2-3
- respin (poppler)

* Sat Mar 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- package new FindOkular.cmake (in -devel)

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Fri Feb 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-2
- build against system libspectre (backported from KDE 4.1)

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- kde-4.0.1

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-7
- License: GPLv2
- Obsoletes: -extras(-libs)
- cleanup BR's, scriptlets
- omit devel symlink hacks

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- rebuild for changed _kde4_includedir

* Fri Dec 07 2007 Than Ngo <than@redhat.com> 3.97.0-3
- get rid of useless define for F9

* Thu Dec 06 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- don't hardcode %%fedora
- Requires: lpr (provided by cups) for printing in Okular

* Thu Dec 06 2007 Than Ngo <than@redhat.com> 3.97.0-1
- 3.97.0

* Fri Nov 30 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.2-1
- kde-3.96.2

* Wed Nov 21 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.1-1
- kde-3.96.1
- also use epoch in changelog (also backwards)

* Wed Nov 21 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-9
- libs subpkg

* Wed Nov 21 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-8
- %%description updated
- sorted %%BuildRequires
- sorted  %%files

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-7
- BR: kde-filesystem >= 4
- License is GPLv2+

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-6
- re-work the "%%if's"

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-5
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXScrnSaver-devel

* Sun Nov 18 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-4
- explicit require on kdebase-runtime (for icons)
- fix copy&paste errors in devel package

* Sat Nov 17 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-3
- name kdegraphics4 on fedora <= 9
- remove all but okular on fedora <= 9
- +BR: kde4-macros(api)
- remove unneeded require for kdepimlibs
- add defattr to devel package 

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-2
- re-added epoch (from kdegraphics3)
- move libspectreOkular.so from devel to normal package

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 7:3.96.0-1
- Initial version for Fedora
